%define fname	dateutil

Summary:	Provides powerful extensions to the standard datetime module
Name:		python3-dateutil
Version:	2.4.2
Release:	6
License:	Python
Group:		Development/Python
URL:		http://labix.org/python-dateutil
Source0:	http://pypi.python.org/packages/source/p/python-dateutil/python-dateutil-%{version}.tar.gz
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3
BuildArch:	noarch

%description
The dateutil module provides powerful extensions to the standard
datetime module available in Python. Features include:

* Computing of relative deltas (next month, next year, next monday,
  last week of month, etc);
* Computing of relative deltas between two given date and/or datetime
  objects;
* Computing of dates based on very flexible recurrence rules, using a
  superset of the iCalendar specification. Parsing of RFC strings is
  supported as well;
* Generic parsing of dates in almost any string format;
* Timezone (tzinfo) implementations for tzfile(5) format files
  (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string
  (in all known formats), iCalendar format files, given ranges (with
  help from relative deltas), local machine timezone, fixed offset
  timezone, UTC timezone, and Windows registry-based time zones;
* Internal up-to-date world timezone information based on Olson's
  database;
* Computing of Easter Sunday dates for any given year, using Western,
  Orthodox or Julian algorithms;
* More than 400 test cases.

%prep
%setup -qn python-dateutil-%{version}

%build

%install
python3 setup.py install --root=%{buildroot}
# Give read permissions for all files inside egg-info folder
find %{buildroot}%{py3_puresitedir}/*egg-info -type f -exec chmod 644 {} \;

%files
%doc LICENSE NEWS
%{py3_puresitedir}/%{fname}
%{py3_puresitedir}/python_%{fname}-%{version}-py%{py3_ver}.egg-info

%changelog

* Fri May 26 2017 Nemial <negry.m@yandex.ru> 2.4.2-6
- (d70eff4) Release Up


